<?php
  ///////////////////////////////////////////////////
  //перемещение строк вверх/вниз
  //2009 (C)
  //Карпухин Павел
  ///////////////////////////////////////////////////

  $lang = substr($_SERVER["HTTP_ACCEPT_LANGUAGE"], 0,2);
  if (is_file ("../lang/".$lang."/".$lang.".php")) include "../lang/".$lang."/".$lang.".php";
     else include "../lang/ru/ru.php";

  $title=$titlepage = $TEXT['supp-tip-title3'];

  require_once "../config.php";
  require_once "../util/top.php";

  if($result2['user'] == 1) puterror2($TEXT['error-loginform4']);
  if($result2['master'] == 1) puterror2($TEXT['error-loginform4']);
  if($result2['manager'] == 1) puterror2($TEXT['error-loginform4']);

  if(empty($_GET['tip_id'])) puterror2($TEXT['error-tip5']);
  if(strlen($_GET['tip_id'])>11) puterror2($TEXT['error-tip4']);
  if(empty($_GET['position'])) puterror2($TEXT['error-upr5']);
  if(strlen($_GET['position'])>5) puterror2($TEXT['error-upr6']);
  if(empty($_GET['moving'])) puterror2($TEXT['error-otd4']);
  if(strlen($_GET['moving'])>5) puterror2($TEXT['error-otd5']);

  $_GET['position'] = rep($_GET['position']);
  $_GET['tip_id'] = rep($_GET['tip_id']);
  $_GET['moving'] = rep($_GET['moving']);

  if($_GET['moving']=="up"){
  $query_move = "SELECT tip_id, position FROM `tbl_tip_resurs` WHERE `position`<'".$_GET['position']."' ORDER BY `position` DESC LIMIT 1 ";
  $result_move = mysql_query($query_move);
  if(!$result_move) puterror2($TEXT['error-tbl38']);
   $result2_move = mysql_fetch_array($result_move);
   if($result2_move['position'] == 0) puterror2($TEXT['global-up-down']);

   $query = "UPDATE `tbl_tip_resurs` SET `position`='".$result2_move['position']."' WHERE `tip_id`='".$_GET['tip_id']."' ";
   if(mysql_query($query))
   {
   $query = "UPDATE `tbl_tip_resurs` SET `position`='".$_GET['position']."' WHERE `tip_id`='".$result2_move['tip_id']."' ";
     if(mysql_query($query))
      {
       echo "<html><head>
          <meta HTTP-EQUIV='Refresh' CONTENT='0; URL=index-tip.php' />
          </head></html>";
      } else puterror2($TEXT['error-tip6']);
   } else puterror2($TEXT['error-tip6']);
  }
  else
  {
  $query_move = "SELECT tip_id, position FROM `tbl_tip_resurs` WHERE `position`>'".$_GET['position']."' ORDER BY `position` LIMIT 1";
  $result_move = mysql_query($query_move);
  if (!$result_move) puterror2($TEXT['error-tbl38']);
   $result2_move = mysql_fetch_array($result_move);
  if($result2_move['position'] == 0) puterror2($TEXT['global-up-down']);

  $query = "UPDATE `tbl_tip_resurs` SET `position`='".$_GET['position']."' WHERE `tip_id`='".$result2_move['tip_id']."' ";
  if(mysql_query($query))
  {
   $query = "UPDATE `tbl_tip_resurs` SET `position`='".$result2_move['position']."' WHERE `tip_id`='".$_GET['tip_id']."' ";
     if(mysql_query($query))
      {
       echo "<html><head>
          <meta HTTP-EQUIV='Refresh' CONTENT='0; URL=index-tip.php' />
          </head></html>";
      } else puterror2($TEXT['error-tip6']);
    } else puterror2($TEXT['error-tip6']);
  }
  require_once "../util/bottom.php";
?>
